Description

Right now the syntax is:

<Date> <start time> - <end time>: <description> on <issue> (<activity>)

e.g.

From 10:00 to 11:00 I was working on #999

Actually the following is also corrent:

I was working from 10:00 to 11:00 on #999

So users do try to use such requests... And the problem is that Orangutan does not recognize them correctly...

The problem is also that the following is correcnt too:

On Monday I was working from 10:00 to 11:00 on #999

I was working from 10:00 to 11:00 on Monday on #999

I was working on Monday from 10:00 to 11:00 on #999

...

In other words - this syntax is too complicated... I could recognize by parts but... in this case the following:

I was working on Monday and fixed bugs from 10:00 to 11:00 on my favourite issue #999

will be added as:

"I was working and fixed bugs on my favourite" on Monday 10:00-11:00 on #999

This time it looks good. But sometimes the description will be ugly..    

So I need to think how to improve this syntax...

History

#1 - 03 Feb 2011 19:25 - Andriy Lesyuk

- Subject changed from Support alternative syntax for AddTask context to More flexible syntax for adding past tasks/entries

#2 - 01 Mar 2011 14:40 - Andriy Lesyuk
- Tracker changed from Feature to Improvement

- Project changed from Orangutan to Orangutan::Redmine
